# This is the basic qmake template for the Ubuntu-SDK
# it handles creation and installation of the manifest
# file and takes care of subprojects
TEMPLATE = subdirs

#load Ubuntu specific features
load(ubuntu-click)

SUBDIRS += match-the-color \
           backend/StorageManager

# specify the manifest file, this file is required for click
# packaging and for the IDE to create runconfigurations
UBUNTU_MANIFEST_FILE=manifest.json.in

# specify translation domain, this must be equal with the
# app name in the manifest file
UBUNTU_TRANSLATION_DOMAIN="com.ubuntu.developer.verzegnassi.match-the-color"

# specify the source files that should be included into
# the translation file, from those files a translation
# template is created in po/template.pot, to create a
# translation copy the template to e.g. de.po and edit the sources
UBUNTU_TRANSLATION_SOURCES+= \
    $$files(match-the-color/*.qml,true) \
    $$files(match-the-color/*.js,true)

# specifies all translations files and makes sure they are
# compiled and installed into the right place in the click package
UBUNTU_PO_FILES+=$$files(po/*.po)

aptest.target   = autopilot
aptest.commands = bash $$PWD/app/tests/autopilot/run
aptest.depends  = sub-app

unittest.target   = check
unittest.commands = /usr/bin/qmltestrunner -input $$PWD/app/tests/unit 
unittest.depends  = sub-app

QMAKE_EXTRA_TARGETS += aptest unittest

# copy the manifest file to the root of the click package data.
# the application reads the informations provided in the manifest file, so that
# they don't need to be specified twice.
manifest_copy_file.path = /match-the-color/
manifest_copy_file.files += $$OUT_PWD/manifest.json

info_file.path = /
info_file.files += copyright
info_file.files += credits

INSTALLS += manifest_copy_file info_file
