/*
  This file is part of match-the-color
  Copyright (C) 2014, 2015 Stefano Verzegnassi

    This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.4
import Ubuntu.Components 1.2
import "components"

AppMainView {
    id: mainView

    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "com.ubuntu.developer.verzegnassi.match-the-color"

    width: units.gu(50)
    height: units.gu(75)

    manifestUrl: Qt.resolvedUrl("manifest.json")
    copyrightUrl: Qt.resolvedUrl("../copyright")
    creditsUrl: Qt.resolvedUrl("../credits")

    Component.onCompleted: {
        // Set a custom theme for Ubuntu.Components.Header
        mainView.header.style = Qt.createComponent(Qt.resolvedUrl("theme/PageHeadStyle.qml"))

        // Push main page into the stack
        pageStack.push(Qt.resolvedUrl("ui/MainPage.qml"))
    }
}

