/*
  This file is part of match-the-color
  Copyright (C) 2015 Stefano Verzegnassi

    This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.4
import Ubuntu.Components 1.2

Item {
    id: rootItem
    width: Math.min(parent.width, parent.height)
    height: width

    property alias icon: buttonIcon
    signal clicked

    // TODO: Use LogoItem
    Image {
        anchors {
            fill: parent
            margins: units.gu(4)
        }

        source: Qt.resolvedUrl("../graphics/splash.png")

        SequentialAnimation on rotation {
            loops: Animation.Infinite
            NumberAnimation {
                from: 0
                to: 360
                duration: 10000
            }
        }
    }

    AbstractButton {
        anchors.fill: parent

        onClicked: rootItem.clicked()

        Icon {
            id: buttonIcon
            anchors.centerIn: parent

            width: units.gu(5)
            height: width
        }
    }
}
