/*
  This file is part of match-the-color
  Copyright (C) 2015 Stefano Verzegnassi

    This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.4
import Ubuntu.Components 1.2

AbstractButton {
    id: rootItem
    width: units.gu(12)
    height: units.gu(16)

    property string text
    default property alias content: iconPlaceholder.data
    property bool selected: false

    Column {
        id: layout
        anchors {
            fill: parent;
            margins: units.gu(1)
        }
        spacing: units.gu(1)

        Item {
            id: iconPlaceholder
            anchors.horizontalCenter: parent.horizontalCenter
            width: units.gu(10)
            height: width
        }

        Label {
            anchors {
                left: parent.left
                right: parent.right
            }
            horizontalAlignment: Text.AlignHCenter

            font.weight: Font.DemiBold
            text: rootItem.text
        }
    }

    UbuntuShape {
        anchors.fill: parent
        visible: rootItem.selected
    }
}
