/*
  This file is part of match-the-color
  Copyright (C) 2014, 2015 Stefano Verzegnassi

    This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.0
import Ubuntu.Components 1.2
import QtGraphicalEffects 1.0

AbstractButton {
    id: rootItem
    height: units.gu(8); width: height

    property alias icon: icon
    property color color: Theme.palette.selected.backgroundText
    property color pressedColor: UbuntuColors.orange

    Icon {
        id: icon
        anchors.centerIn: parent
        width: units.gu(4); height: width

        color: rootItem.pressed ? rootItem.pressedColor : rootItem.color

        Behavior on color {
            ColorAnimation { duration: UbuntuAnimation.SnapDuration }
        }

        opacity: rootItem.enabled ? 1.0 : 0.5
    }
}
